Summary: netkit-routed ripv2 package
Name: TI_Linux-target-netkit-routedv2
Version: 0.1
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Source0: netkit-routedv2_%{version}.orig.tar.gz

License: Texas Instruments
Group: net

%define pkgname ti_linux-%{_hhl_target_arch}-netkit-routedv2
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This package provides routed a RIPv2-based routing daemon as well
as ripquery, a query program for routed 

%package -n %{pkgname}
Summary: netkit-routed ripv2 package
Group: net 
AutoReqProv: no
%description -n %{pkgname}
This package provides routed a RIPv2-based routing daemon as well
as ripquery, a query program for routed 

%prep
%target_check
%setup -q -n netkit-routedv2-%{version}

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
CFLAGS="-Os -Wall -W -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline" ./configure --prefix=%{TI_filesystem_path}/usr 
%make


%install
export PATH=%{TI_uclibc_path}:$PATH
cd routed
strip -s routed
%make install
cd ..


%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_sbindir}/routed


%changelog
* Fri Jun 27 2003 (Mukesh Kumar <mkumar@telogy.com>)
- Initial packaging of netkit-routed





