Summary: embedded client/server dhcp package
Name: TI_Linux-target-udhcp
Version: 0.9.7
Vendor: Texas Instruments
Release:  TI%{TI_release_version}
Source: udhcp_%{version}.orig.tar.gz
Copyright: GPL
Group: Networking

%define pkgname ti_linux-%{_hhl_target_arch}-dproxy-nexgen
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%define TI_patch_date 09_30_03
Patch: udhcp_%{version}-%{TI_patch_date}.diff.gz

%Description
The udhcp server/client package is primarily geared towards embedded
systems. It does however, strive to be fully functional, and RFC
compliant.

%package -n %{pkgname}
Summary: embedded client/server dhcp package
Group: Networking
AutoReqProv: no
%Description -n %{pkgname}
The udhcp server/client package is primarily geared towards embedded
systems. It does however, strive to be fully functional, and RFC
compliant.

%Prep
%target_check
%setup -q -n udhcp-%{version}
%patch -p1

%Build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make TI_FILESYSTEM=%{TI_base}%{TI_rusrdir} 


%Install
%target_setup
export PATH=%{TI_uclibc_path}:$PATH
%make TI_FILESYSTEM=%{TI_base}%{TI_rusrdir} install
cd %{TI_base}%{TI_sbindir}


%Clean
rm -rf *

%Files 
%defattr(-,root,root)
%{TI_sbindir}/udhcpd
%{TI_bindir}/dumpleases

%changelog
* Fri Sep 12 2003 (Mukesh Kumar <mkumar@telogy.com>)
- Prevent overwriting leases for mac address of all
  zeros. To enable adding clients with unknown MAC
  addresses.
* Mon Oct 21 2002 (Marian Stagarescu <marian@ti.com>)
- added NAK for handling volatile udhcpd.leases cases
  (lost after reboot)
- added check_ip (arpping) for "requested" client msg 
  and new address issued in case of contention
* Thu Oct 17 2002 (Snehaprabha N <nsnehaprabha@telogy.com>)
- Fixed lease timeout and renewal of dhcp addresses for the client.
* Tue Aug 28 2002 (Snehaprabha N <nsnehaprabha@telogy.com>)
- Removed default values for the interfaces.
* Tue Aug 27 2002 (Snehaprabha N <nsnehaprabha@telogy.com>)
- multiple interfaces support
* Tue Aug 13 2002 (Marian Stagarescu <m-stagarescu2@ti.com>)
- udhcpd does not fork (see Config Manager requirements) 
* Thu Jul 11 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of udhcp



