Summary: Small standalone telnet daemon 
Name: TI_Linux-target-utelnetd
Version: 0.1.2
Vendor: Texas Instruments
Release: TI%{TI_release_version}
URL: http://www.pengutronix.de/software/utelnetd_en.html
License: GPL
Source0: utelnetd_%{version}.orig.tar.gz

%define TI_patch_date 07_14_02
Patch0: utelnetd_%{version}-%{TI_patch_date}.diff.gz

Patch10: utelnetd-inetd.diff.gz

Group: Networking

%define pkgname ti_linux-%{_hhl_target_arch}-utelnetd
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This is a small telnet daemon for standalone use, mostly on embedded
systems.

%package -n %{pkgname}
Summary: Small standalone telnet daemon 
Group: Networking 
AutoReqProv: no
%description -n %{pkgname}
This is a small telnet daemon for standalone use, mostly on embedded
systems.

%prep
%target_check
%setup -q -n utelnetd-%{version}
%patch -p1
%patch -p1 -P 10

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make TI_FILESYSTEM=%{TI_filesystem_path}
strip -s utelnetd

%install
export PATH=%{TI_uclibc_path}:$PATH
%make TI_FILESYSTEM=%{TI_filesystem_path} INSTALL=install  install

%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_rsbindir}/utelnetd

%changelog
* Sun Jul 14 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of utelnetd





